globus_gass_copy_handle_s(3)

NAME
globus_gass_copy_handle_s - Copy Handle.

SYNOPSIS

#include <globus_gass_copy.h>

  Data Fields

globus_gass_copy_status_t status
globus_gass_copy_state_t * state
void * user_pointer
globus_gass_copy_perf_info_t * performance
globus_bool_t external_third_party
globus_gass_copy_callback_t user_callback
void * callback_arg
globus_gass_copy_callback_t user_cancel_callback
void * cancel_callback_arg
globus_object_t * err
int buffer_length
globus_bool_t no_third_party_transfers
globus_ftp_client_handle_t ftp_handle_2
globus_off_t partial_offset
globus_bool_t send_allo
globus_bool_t always_stat_on_expand

Detailed Description

Copy Handle.

Field Documentation

  globus_bool_t globus_gass_copy_handle_s::always_stat_on_expand
Run a stat check on all urls passed to globus_gass_copy_glob_expand_url

  int globus_gass_copy_handle_s::buffer_length
Size of the buffers to be used in the transfers

  void* globus_gass_copy_handle_s::callback_arg
pointer to user argument to user callback function

  void* globus_gass_copy_handle_s::cancel_callback_arg
pointer to user argument to user cancel callback function

  globus_object_t* globus_gass_copy_handle_s::err
Error object to pass to the callback function

  globus_bool_t globus_gass_copy_handle_s::external_third_party
Indicates if the 3rd party transfer is done externally to this library.

  globus_ftp_client_handle_t globus_gass_copy_handle_s::ftp_handle_2
handle only used when no_third_party_transfers is true (for 3pt)

  globus_bool_t globus_gass_copy_handle_s::no_third_party_transfers
Indicates whether third_party transfers should be used (for ftp to ftp transfers). If set to FALSE, the default, globus_ftp_client_third_party_transfer() will be used. if set to TRUE, gass_copy will manage the transfer

  globus_off_t globus_gass_copy_handle_s::partial_offset
offsets for partial file transfers

  globus_gass_copy_perf_info_t* globus_gass_copy_handle_s::performance
Pointer to perf_info structure used to provide the user transfer performance information

  globus_bool_t globus_gass_copy_handle_s::send_allo
Indicates whether to send ALLO for ftp destinations

  globus_gass_copy_state_t* globus_gass_copy_handle_s::state
pointer to the state structure which contains internal info related to a transfer

  globus_gass_copy_status_t globus_gass_copy_handle_s::status
the status of the current transfer

  globus_gass_copy_callback_t globus_gass_copy_handle_s::user_callback
Pointer to user callback function

  globus_gass_copy_callback_t globus_gass_copy_handle_s::user_cancel_callback
pointer to user cancel callback function

  void* globus_gass_copy_handle_s::user_pointer
pointer to user data

Author

Generated automatically by Doxygen for globus_gass_copy from the source code.